﻿using CoreLibrary.Joueurs;
using CoreLibrary.Persistance;

namespace CoreLibrary.Manager
{
    public class Manager  
    {
        public Partie? partie;
        public Joueur[] joueurs;
        public Partie[] parties;
        private IPersistance persistance;


        public Manager(IPersistance persistance)
        { 
            this.persistance = persistance;
            joueurs = persistance.Charger<Joueur>();
            parties = persistance.Charger<Partie>();
        }   

        public void NouvellePartie(Partie partie)
        {
            this.partie = partie;
            parties.Append(partie);
        }

        public Joueur DemanderJoueur(string nom)
        {
            foreach (Joueur joueur in joueurs) 
            { 
                if (joueur.Nom == nom)
                    return joueur;
                
            }
            Joueur nouveauJoueur = new Joueur(nom);
            joueurs.Append(nouveauJoueur);
            return nouveauJoueur; 
        }

    }
}
